EZ_GetTimerClientData(3)

NAME
EZ_GetTimerClientData, EZ_GetTimerIntData, EZ_GetTimerPtrData - retrive client data stored in a timer

SYNOPSIS
#include <EZ.h>

int   EZ_GetTimerIntData(EZ_Timer *timer)

void *EZ_GetTimerPtrData(EZ_Timer *timer)

void  EZ_GetTimerCilentData(EZ_Timer *timer,
             int *idata_ret, void *pdata_ret)

ARGUMENTS
timer Specifies a timer.

idata_ret Specifies the return for the integer data stored in timer.

pdata_ret Specifies the return for the pointer data stored in timer.

DESCRIPTION

The EZ_Timer data structure provides two slots for applications to store client data. One if of type int and the other is of type void *. These functions retrieve client data from a timer.

EZ_GetimerIntData returns the integer client data.

EZ_GetimerPtrData returns the ptr client data.

EZ_GetimerClientData returns both the integer and the pointer client data.

SEE ALSO
EZ_CreateTimer(3), EZ_GetTimerState(3), EZ_SetTimerClientData(3)